
static char RcsId[] = "$Header$";

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define X0 0.0
#define Xn 2.0
#define Ymax 2.0
double f(double x, double y);

main(int argc, char **argv)
{
  int n, seed, i, j;
  double x, y;
  
  if (argc != 3
   || sscanf(argv[1], "%d", &n) != 1
   || sscanf(argv[2], "%d", &seed) != 1) {
      fprintf(stderr, "usage: %s loop seed\n", argv[0]);
      exit(1);
  }

  srand(seed);

  for (i=0, j=0; i<n; i++) {
    x = (double)rand()*(Xn-X0)/(double)RAND_MAX;
    y = (double)rand()*Ymax/(double)RAND_MAX;
    if (f(x, y) < 0.0)
      j++;
  }

  /* ɽ */
  printf("S=%27.20e\n", (Xn-X0)*Ymax*(double)j/(double)n);
  exit(0);
}

double f(double x, double y)
{
  return (x*x + y*y - 4.0);
}

